<?php

/**
 * this is a simple demo class for demonstration of "simple web service"
 * It shows date and time in different ways
 *
 * @version 0.1
 * @author Axel Hahn
 * @link http://www.axel-hahn.de/php_sws
 * @license GPL
 * @license http://www.gnu.org/licenses/gpl-3.0.html GPL 3.0
 * @package Axels simple web service
 */
class swsdemo {

    /**
     * construct
     * @return boolean
     */
    public function __construct() {
        return true;
    }
    
    /**
     * show current date
     * @param string $sFormat date format
     * @return string
     */
    public function getDate($sFormat="d.m.Y"){
        return date($sFormat);
    }
    /**
     * show current date and time as a flat array
     * @return array
     */
    public function getDateAsArray(){
        return array($this->getDate(), $this->getTime());
    }
    
    /**
     * show current date and time as an assoc array
     * @return array
     */
    public function getDateAsAssocArray(){
        return array("date"=> $this->getDate(), "time"=>$this->getTime());
    }
    /**
     * show current time in HH:mm:ss
     * @return string
     */
    public function getTime(){
        return $this->getDate("H:i:s");
    }
    
    /**
     * show current year as YYYY
     * @return integer
     */
    public function getYear(){
        return $this->getDate("Y");
    }
    
}
